### A free/open-source library for quantitative finance

Public Member Functions
VarianceGammaProcess Class Reference
Stochastic processes

Variance gamma process. More...

`#include <ql/experimental/variancegamma/variancegammaprocess.hpp>`

Inheritance diagram for VarianceGammaProcess:
[legend]

List of all members.

## Public Member Functions

| VarianceGammaProcess (const Handle< Quote > &s0, const Handle< YieldTermStructure > &dividendYield, const Handle< YieldTermStructure > &riskFreeRate, Real sigma, Real nu, Real theta)
Real | x0 () const
| returns the initial value of the state variable
Real | drift (Time t, Real x) const
| returns the drift part of the equation, i.e.
Real | diffusion (Time t, Real x) const
| returns the diffusion part of the equation, i.e.
Real | sigma () const
Real | nu () const
Real | theta () const
const Handle< Quote > & | s0 () const
const Handle < YieldTermStructure > & | dividendYield () const
const Handle < YieldTermStructure > & | riskFreeRate () const

## Detailed Description

Variance gamma process.

This class describes the stochastic volatility process. With a Brownian motion given by

then a Variance Gamma process X is defined by evaluating this Brownian motion at sample times driven by a Gamma process. If T is the value of a Gamma process with mean 1 and variance rate then the Variance Gamma process is given by